searchData={"items":[{"type":"task","title":"mix mod.new","doc":"Creates a new module in the current application, based on a template.\n\nThe location of the new module is defined  according to the `:mount` option in\n`:modkit` configuration defined in the project file (`mix.exs`).\n\nIf not defined, default mount points are defined as follows:\n\n    [\n      {App, \"lib/app\"}\n      {Mix.Tasks, \"lib/mix/tasks\", flavor: :mix_task}\n    ]","ref":"Mix.Tasks.Mod.New.html"},{"type":"task","title":"Synopsis - mix mod.new","doc":"mix mod.new [options]","ref":"Mix.Tasks.Mod.New.html#module-synopsis"},{"type":"task","title":"Arguments - mix mod.new","doc":"* `module`","ref":"Mix.Tasks.Mod.New.html#module-arguments"},{"type":"task","title":"Options - mix mod.new","doc":"* `-g, --gen-server` - use GenServer and define base functions Defaults to `false`.\n* `-s, --supervisor` - use Supervisor and define base functions Defaults to `false`.\n* `-d, --dynamic-supervisor` - use DynamicSupervisor and define base functions Defaults to `false`.\n* `-p, --path  ` - The path of the module to write. Unnecessary if the module prefix is mounted.\n* `-o, --overwrite` - Overwrite the file if it exists. Always prompt. Defaults to `false`.\n* `--help` - Displays this help.","ref":"Mix.Tasks.Mod.New.html#module-options"},{"type":"task","title":"mix mod.relocate","doc":"Relocates modules in application according to the `:mount` option in `:modkit`\nconfiguration defined in the project file (`mix.exs`).\n\nIf not defined, default mount points are defined as follows:\n\n    [\n      {App, \"lib/app\"}\n      {Mix.Tasks, \"lib/mix/tasks\", flavor: :mix_task}\n    ]","ref":"Mix.Tasks.Mod.Relocate.html"},{"type":"task","title":"Synopsis - mix mod.relocate","doc":"mix mod.relocate [options]","ref":"Mix.Tasks.Mod.Relocate.html#module-synopsis"},{"type":"task","title":"Options - mix mod.relocate","doc":"* `-i, --interactive` - This flag will make the command prompt for confirmation whenever a file can be relocated. Takes precedences over `--force`. Defaults to `false`.\n* `-f, --force` - This flag will make the command actually relocate the files. Defaults to `false`.\n* `--help` - Displays this help.","ref":"Mix.Tasks.Mod.Relocate.html#module-options"},{"type":"module","title":"Modkit","doc":"","ref":"Modkit.html"},{"type":"function","title":"Modkit.load_current_project/0","doc":"","ref":"Modkit.html#load_current_project/0"},{"type":"module","title":"Modkit.Mod","doc":"","ref":"Modkit.Mod.html"},{"type":"function","title":"Modkit.Mod.current_path/2","doc":"","ref":"Modkit.Mod.html#current_path/2"},{"type":"function","title":"Modkit.Mod.list_all/1","doc":"","ref":"Modkit.Mod.html#list_all/1"},{"type":"function","title":"Modkit.Mod.list_by_file/2","doc":"","ref":"Modkit.Mod.html#list_by_file/2"},{"type":"function","title":"Modkit.Mod.local_root/1","doc":"Returns the module that is a local root of all given modules. That is a common\nprefix of all given modules that is also a module from the list.\n\nFor instance, modules `A` and `A.B` have a common prefix that is `A`, and `A`\nis provided as an argument, so it will be returned.\n\nBut if only `A.B` and `A.C` are provided, the common prefix `A` will not be\nreturned since it is not one of the arguments.","ref":"Modkit.Mod.html#local_root/1"},{"type":"function","title":"Examples - Modkit.Mod.local_root/1","doc":"iex> local_root([A, A.B])\n    A\n\n    iex> local_root([A.B, A.C, A])\n    A\n\n    iex> local_root([A.B, A.C])\n    nil\n\n    iex> local_root([])\n    nil","ref":"Modkit.Mod.html#local_root/1-examples"},{"type":"function","title":"Modkit.Mod.local_root/2","doc":"Given two module names, returns the module name that is a prefix of the other,\nor `nil` if the two names are disjoint.\n\nSee `local_root/1`.","ref":"Modkit.Mod.html#local_root/2"},{"type":"function","title":"Examples - Modkit.Mod.local_root/2","doc":"iex> local_root(A, A.B)\n    A\n\n    iex> local_root(A.B, A.C)\n    nil","ref":"Modkit.Mod.html#local_root/2-examples"},{"type":"module","title":"Modkit.Mod.Template.BaseModule","doc":"","ref":"Modkit.Mod.Template.BaseModule.html"},{"type":"function","title":"Modkit.Mod.Template.BaseModule.template/0","doc":"","ref":"Modkit.Mod.Template.BaseModule.html#template/0"},{"type":"module","title":"Modkit.Mod.Template.DynamicSupervisorTemplate","doc":"","ref":"Modkit.Mod.Template.DynamicSupervisorTemplate.html"},{"type":"function","title":"Modkit.Mod.Template.DynamicSupervisorTemplate.template/0","doc":"","ref":"Modkit.Mod.Template.DynamicSupervisorTemplate.html#template/0"},{"type":"module","title":"Modkit.Mod.Template.GenServerTemplate","doc":"","ref":"Modkit.Mod.Template.GenServerTemplate.html"},{"type":"function","title":"Modkit.Mod.Template.GenServerTemplate.template/0","doc":"","ref":"Modkit.Mod.Template.GenServerTemplate.html#template/0"},{"type":"module","title":"Modkit.Mod.Template.MixTaskTemplate","doc":"","ref":"Modkit.Mod.Template.MixTaskTemplate.html"},{"type":"function","title":"Modkit.Mod.Template.MixTaskTemplate.template/0","doc":"","ref":"Modkit.Mod.Template.MixTaskTemplate.html#template/0"},{"type":"module","title":"Modkit.Mod.Template.SupervisorTemplate","doc":"","ref":"Modkit.Mod.Template.SupervisorTemplate.html"},{"type":"function","title":"Modkit.Mod.Template.SupervisorTemplate.template/0","doc":"","ref":"Modkit.Mod.Template.SupervisorTemplate.html#template/0"},{"type":"module","title":"Modkit.Mod.Template.UnitTestTemplate","doc":"","ref":"Modkit.Mod.Template.UnitTestTemplate.html"},{"type":"function","title":"Modkit.Mod.Template.UnitTestTemplate.template/0","doc":"","ref":"Modkit.Mod.Template.UnitTestTemplate.html#template/0"},{"type":"module","title":"Modkit.Mount","doc":"","ref":"Modkit.Mount.html"},{"type":"function","title":"Modkit.Mount.define/1","doc":"","ref":"Modkit.Mount.html#define/1"},{"type":"function","title":"Modkit.Mount.define!/1","doc":"","ref":"Modkit.Mount.html#define!/1"},{"type":"function","title":"Modkit.Mount.define_point/1","doc":"","ref":"Modkit.Mount.html#define_point/1"},{"type":"function","title":"Modkit.Mount.preferred_path/2","doc":"","ref":"Modkit.Mount.html#preferred_path/2"},{"type":"function","title":"Modkit.Mount.prefix_of?/2","doc":"","ref":"Modkit.Mount.html#prefix_of?/2"},{"type":"function","title":"Modkit.Mount.resolve/2","doc":"","ref":"Modkit.Mount.html#resolve/2"},{"type":"module","title":"Modkit.Mount.Point","doc":"","ref":"Modkit.Mount.Point.html"},{"type":"module","title":"Modkit.SnakeCase","doc":"","ref":"Modkit.SnakeCase.html"},{"type":"function","title":"Modkit.SnakeCase.to_snake/1","doc":"","ref":"Modkit.SnakeCase.html#to_snake/1"},{"type":"module","title":"Samplex.SingleSample","doc":"","ref":"Samplex.SingleSample.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}